import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  CreateChannelGroupRequest,
  CreateChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateChannelGroupCommandInput
  extends CreateChannelGroupRequest {}
export interface CreateChannelGroupCommandOutput
  extends CreateChannelGroupResponse,
    __MetadataBearer {}
declare const CreateChannelGroupCommand_base: {
  new (
    input: CreateChannelGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateChannelGroupCommandInput,
    CreateChannelGroupCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateChannelGroupCommand extends CreateChannelGroupCommand_base {}
