import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteChannelGroupRequest,
  DeleteChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelGroupCommandInput
  extends DeleteChannelGroupRequest {}
export interface DeleteChannelGroupCommandOutput
  extends DeleteChannelGroupResponse,
    __MetadataBearer {}
declare const DeleteChannelGroupCommand_base: {
  new (
    input: DeleteChannelGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteChannelGroupCommandInput,
    DeleteChannelGroupCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteChannelGroupCommand extends DeleteChannelGroupCommand_base {}
