import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteChannelPolicyRequest,
  DeleteChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelPolicyCommandInput
  extends DeleteChannelPolicyRequest {}
export interface DeleteChannelPolicyCommandOutput
  extends DeleteChannelPolicyResponse,
    __MetadataBearer {}
declare const DeleteChannelPolicyCommand_base: {
  new (
    input: DeleteChannelPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteChannelPolicyCommandInput,
    DeleteChannelPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteChannelPolicyCommand extends DeleteChannelPolicyCommand_base {}
