import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  PutChannelPolicyRequest,
  PutChannelPolicyResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutChannelPolicyCommandInput extends PutChannelPolicyRequest {}
export interface PutChannelPolicyCommandOutput
  extends PutChannelPolicyResponse,
    __MetadataBearer {}
declare const PutChannelPolicyCommand_base: {
  new (
    input: PutChannelPolicyCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutChannelPolicyCommandInput,
    PutChannelPolicyCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutChannelPolicyCommand extends PutChannelPolicyCommand_base {}
